## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csSet< T >::GlobalIterator Class Reference

An iterator class for the set. More...

`#include <csutil/set.h>`

List of all members.

## Public Member Functions

| GlobalIterator (const GlobalIterator &o)
bool | HasNext () const
| Returns a boolean indicating whether or not the set has more elements.
T | Next ()
| Get the next element's value.
GlobalIterator & | operator= (const GlobalIterator &o)

## Protected Member Functions

| GlobalIterator (const csSet< T > *s)
| GlobalIterator ()

## Protected Attributes

ParentIter | iter

## Friends

class | csSet< T >

## Detailed Description

### template<class T>
class csSet< T >::GlobalIterator

An iterator class for the set.

Definition at line 49 of file set.h.

## Member Function Documentation

template<class T>
bool csSet< T >::GlobalIterator::HasNext | ( |  | ) | const`[inline]`

| Returns a boolean indicating whether or not the set has more elements. Definition at line 64 of file set.h. References csSet< T >::GlobalIterator::iter.

template<class T>
T csSet< T >::GlobalIterator::Next | ( |  | ) | `[inline]`

| Get the next element's value. Definition at line 68 of file set.h. References csSet< T >::GlobalIterator::iter.

The documentation for this class was generated from the following file:

- csutil/set.h